Subject: Re: bug#6755: 24.0.50; Customize buffer is too wide. Put doc string on separate line.

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 03 Jul 2011 17:19:04 +0200

Lars Magne Ingebrigtsen <[email-masked]> writes:

>> (defcustom icicle-incremental-completion-flag t
>>   "..."
>>   :type 
>>   '(choice
>>     (const 
>>      :tag
>>      "Do not update `*Completions*' incrementally"                
>>      nil)
>>     (const 
>>      :tag
>>      "Update `*Completions*' incrementally if already displayed"  
>>      t)
>>     (other 
>>      :tag
>>      "Update `*Completions*' incrementally always"                
>>      always))
>>   :group 'Icicles-Completions-Display)
>
> Thanks.

The widget code is really involved, but I think I've finally figured out
what's inserting the string in question:

(defun widget-create-child-value (parent type value)
  "Create widget of TYPE with value VALUE."
  (let ((widget (widget-copy type)))
    (widget-put widget :value (widget-apply widget :value-to-internal value))
    (widget-put widget :parent parent)
    (unless (widget-get widget :indent)
      (widget-put widget :indent (+ (or (widget-get parent :indent) 0)
				    (or (widget-get widget :extra-offset) 0)
				    (widget-get parent :offset))))
    (widget-apply widget :create)
    widget))

So now the question is how the text should be formatted.  Perhaps
folding it after inserting it is the right way?  Anybody know how?  :-)
(I mean, without breaking the widget machinery...)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/